Relation between nss, moz, moz_prebuilt
---------------------------------------
nss containes the security libraries which are also part of moz. However nss is
meant to be more current, that is it to be updated more often. This should be
easier than doing this with moz. 

If nss is build depends on an environment variable (ENABLE_NSS_MODULE=YES) which
is per default set to YES. In this case nss is build before moz. The nss
libraries/lib files/headers built in moz are then not delivered. Otherwise they
would overwrite those from nss. That is, the nss libraries build in moz are
removed from mozruntime.zip (build in moz/solver/bin), they are removed from the
lib directory (for example moz/unxlngi6.pro/lib), and the nss and nspr headers
are also removed (inc/nss and inc/nspr).  The nss libraries from the nss module
are then added to mozruntime.zip.

This also applies for moz_prebuilt. Therefore moz and moz_prebuilt must be build
again after changes have been made to the libraries in the nss module.

Also when moz was updated to use a newer version of mozilla, then one must make
sure that new files which also belong to nss are not delivered and are removed
from mozruntime.zip.

Fips 140 and signed libraries
-------------------------------
Fips 140 mode is not supported. That is, the *.chk files containing the
checksums for the cryptographic module are not delivered into solver and will
not be part of the OOo installation sets.

The *chk files do not match the libraries because we change the rpatch.

libfreebl3
----------
Porting to other platforms may require to deliver other variants of
libfreebl*. The library name varies according to the platform. Changes need to
be made to 
ooo/moz/extractfiles.mk
ooo/moz/zipped/makefile.mk
sun/moz_prebuilt/zipped/makefile.mk


See also
http://www.mozilla.org/projects/security/pki/nss/tech-notes/tn6.html


Windows builds of nss
---------------------
To build mozilla on windows you'll need the mozilla build tools

Build requirements containing the link to the build tools:
https://developer.mozilla.org/en/Windows_Build_Prerequisites#ss2.2

The direct link:

http://ftp.mozilla.org/pub/mozilla.org/mozilla/libraries/win32/MozillaBuildSetup-1.3.exe


